Summary:	A set of free Truetype fonts (GPL).
Name:		fonts-ttf-freefont
Version:	20030622
Release:	1mdk

Source0:	freefont-ttf.tar.bz2
License:	GPL
Group:		System/Fonts/True type
URL:		http://www.nongnu.org/freefont/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
BuildRequires:	fontconfig
BuildRequires:	freetype-tools
Prereq:		chkfontpath
Prereq:		fontconfig

%description 
A set of Truetype fonts released under the GPL.
This project aims to provide a set of free outline
(PostScript Type0, TrueType, OpenType...) fonts
covering the ISO 10646/Unicode UCS (Universal Character Set).
This package provides the Trueype fonts from that projects

%prep
%setup -q -c %name-%version

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/freefont

cd sfd
install -m644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/freefont
#install -m 644 fonts.alias $RPM_BUILD_ROOT%{_datadir}/fonts/freefont

{
    pushd $RPM_BUILD_ROOT/usr/share/fonts/freefont
    ttmkfdir > fonts.dir
    cp fonts.dir fonts.scale
    /usr/bin/fc-cache . || touch fonts.cache-1
    popd
}

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/freefont
/usr/bin/fc-cache

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/freefont
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS CREDITS ChangeLog README
%dir %_datadir/fonts/freefont
%config(noreplace) %{_datadir}/fonts/freefont/fonts.dir
%config(noreplace) %{_datadir}/fonts/freefont/fonts.scale
#%config(noreplace) %{_datadir}/fonts/freefont/fonts.alias
%{_datadir}/fonts/freefont/fonts.cache-1
%{_datadir}/fonts/freefont/*.ttf

%changelog
* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 20030622-1mdk
- 20030622

* Mon Apr 28 2003 Marcel Pol <mpol@gmx.net> 20030327-1mdk
- initial mandrake rpm
